Bullet Collision Detection & Physics Library: btContactArray Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | List of all members
btContactArray Class Reference

`#include <btContactProcessing.h>`

Inheritance diagram for btContactArray:
[legend]
Collaboration diagram for btContactArray:
[legend]

## Public Member Functions
| btContactArray ()
void | push_contact (const btVector3 &point, const btVector3 &normal, btScalar depth, int feature1, int feature2)
void | push_triangle_contacts (const GIM_TRIANGLE_CONTACT &tricontact, int feature1, int feature2)
void | merge_contacts (const btContactArray &contacts, bool normal_contact_average=true)
void | merge_contacts_unique (const btContactArray &contacts)
Public Member Functions inherited from btAlignedObjectArray< GIM_CONTACT >
btAlignedObjectArray< GIM_CONTACT > & | operator= (const btAlignedObjectArray< GIM_CONTACT > &other)
| btAlignedObjectArray ()
| ~btAlignedObjectArray ()
int | size () const
| return the number of elements in the array
const GIM_CONTACT & | at (int n) const
const GIM_CONTACT & | operator[] (int n) const
void | clear ()
| clear the array, deallocated memory. Generally it is better to use array.resize(0), to reduce performance overhead of run-time memory (de)allocations.
void | pop_back ()
void | resizeNoInitialize (int newsize)
| resize changes the number of elements in the array.
void | resize (int newsize, const GIM_CONTACT &fillData=GIM_CONTACT())
GIM_CONTACT & | expandNonInitializing ()
GIM_CONTACT & | expand (const GIM_CONTACT &fillValue=GIM_CONTACT())
void | push_back (const GIM_CONTACT &_Val)
int | capacity () const
| return the pre-allocated (reserved) elements, this is at least as large as the total number of elements,see size() and reserve()
void | reserve (int _Count)
void | quickSortInternal (const L &CompareFunc, int lo, int hi)
void | quickSort (const L &CompareFunc)
void | downHeap (GIM_CONTACT *pArr, int k, int n, const L &CompareFunc)
| heap sort from http://www.csse.monash.edu.au/~lloyd/tildeAlgDS/Sort/Heap/
void | swap (int index0, int index1)
void | heapSort (const L &CompareFunc)
int | findBinarySearch (const GIM_CONTACT &key) const
| non-recursive binary search, assumes sorted array
int | findLinearSearch (const GIM_CONTACT &key) const
int | findLinearSearch2 (const GIM_CONTACT &key) const
void | removeAtIndex (int index)
void | remove (const GIM_CONTACT &key)
void | initializeFromBuffer (void *buffer, int size, int capacity)
void | copyFromArray (const btAlignedObjectArray &otherArray)

## Additional Inherited Members
Protected Member Functions inherited from btAlignedObjectArray< GIM_CONTACT >
int | allocSize (int size)
void | copy (int start, int end, GIM_CONTACT *dest) const
void | init ()
void | destroy (int first, int last)
void * | allocate (int size)
void | deallocate ()

## Detailed Description

Definition at line 32 of file btContactProcessing.h.

## Constructor & Destructor Documentation

## ◆ btContactArray()

btContactArray::btContactArray | ( |  | ) |
| inline

Definition at line 35 of file btContactProcessing.h.

## Member Function Documentation

## ◆ merge_contacts()

void btContactArray::merge_contacts | ( | const btContactArray & | contacts,
|  | bool | normal_contact_average = true )

Definition at line 65 of file btContactProcessing.cpp.

## ◆ merge_contacts_unique()

void btContactArray::merge_contacts_unique | ( | const btContactArray & | contacts | ) |

Definition at line 145 of file btContactProcessing.cpp.

## ◆ push_contact()

void btContactArray::push_contact | ( | const btVector3 & | point,
|  | const btVector3 & | normal,
|  | btScalar | depth,
|  | int | feature1,
|  | int | feature2 )
| inline

Definition at line 40 of file btContactProcessing.h.

## ◆ push_triangle_contacts()

void btContactArray::push_triangle_contacts | ( | const GIM_TRIANGLE_CONTACT & | tricontact,
|  | int | feature1,
|  | int | feature2 )
| inline

Definition at line 47 of file btContactProcessing.h.

The documentation for this class was generated from the following files:

- btContactProcessing.h
- btContactProcessing.cpp